Bug 484509 - Review Request: php-ezc-Base - eZ Components Base
Review Request: php-ezc-Base - eZ Components Base
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
10
noarch Linux
low Severity medium
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
:
Depends On: 484507
Blocks: 484563 484567 488538 488539 488542 488549 490591 490592 490849 490851
  Show dependency treegraph
 
Reported: 2009-02-07 11:32 EST by Guillaume Kulakowski
Modified: 2010-08-29 14:45 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.6.1-2.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-16 15:36:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Guillaume Kulakowski 2009-02-07 11:32:31 EST
Base is a part of eZ Components : https://bugzilla.redhat.com/show_bug.cgi?id=484507

The Base package provides the basic infrastructure that all packages rely on.
Therefore every component relies on this package.

SPEC:
http://llaumgui.fedorapeople.org/review/ez_components/php-ezc-Base.spec

SRPM:
http://llaumgui.fedorapeople.org/review/ez_components/php-ezc-Base-1.6-1.fc10.src.rpm

RPM:
http://llaumgui.fedorapeople.org/review/ez_components/php-ezc-Base-1.6-1.fc10.noarch.rpm

rpmlint:
builder@enterprise ~> rpmlint php-ezc-Base.*
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

Pear CompatInfo:
+-----------------------------+---------+---+------------+--------------------+

| Files                       | Version | C | Extensions | Constants/Tokens   |

+-----------------------------+---------+---+------------+--------------------+

| usr/share/pear/ezc/*        | 5.0.2   | 1 | pcre       | ...CTORY_SEPARATOR |

|                             |         |   | spl        | __FILE__           |

|                             |         |   |            | abstract           |

|                             |         |   |            | catch              |

|                             |         |   |            | final              |

|                             |         |   |            | implements         |

|                             |         |   |            | interface          |

|                             |         |   |            | private            |

|                             |         |   |            | protected          |

|                             |         |   |            | public             |

|                             |         |   |            | throw              |

|                             |         |   |            | try                |

+-----------------------------+---------+---+------------+--------------------+
Comment 2 Remi Collet 2009-02-22 02:56:53 EST
2 directories not owned :
/usr/share/pear/ezc
/usr/share/pear/ezc/autoload

As this is the first package for ezc channel (required by all others) it must own this dirs.
Comment 3 Guillaume Kulakowski 2009-02-22 05:33:53 EST
SPEC:
http://llaumgui.fedorapeople.org/review/ez_components/php-ezc-Base.spec
Comment 4 Remi Collet 2009-02-23 12:42:32 EST
REVIEW:

+ rpmlint is ok
php-ezc-Base.src: I: checking
php-ezc-Base.noarch: I: checking
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
+ package name
+ spec file name 
+ package meet the PHP Guidelines (new update)
+ License ok : BSD
+ License is upstream 
+ spec in english and legible
+ license file in sources is provided
+ sources match the upstream sources
27d5d39a21668eb3fbae60cc4aa8f0c2  Base-1.6.1.tgz
+ Source URL ok
+ build  on F10.x86_64
+ BuildRequires (php-pear >= 1:1.4.9-1.2) ok
+ no locale
+ no .so
+ own all directories that it creates
+ no duplicate file
+ %defattr ok
+ %clean section
+ use macros consistently
+ contain code
+ no documentation
+ no devel
+ no pkgconfig
+ no sub-package
+ no GUI
+ don't own files or directories already owned by other packages
+ %install start with rm -rf 
+ valid UTF-8
+ build in mock (fedora-rawhide-x86_64)
+ no test suite
+ scriptlets ok
+ Final Requires ok
php-channel(components.ez.no)
php-common >= 5.2.1
php-pear(PEAR)  
+ Final Provides ok
php-pear(components.ez.no/Base) = 1.6.1
php-ezc-Base = 1.6.1-2.fc8


APPROVED
Comment 5 Guillaume Kulakowski 2009-02-23 13:19:00 EST
New Package CVS Request
=======================
Package Name: php-ezc-Base
Short Description: Provides the basic infrastructure that all packages rely on
Owners: llaumgui
Branches: F-9 F-10
InitialCC:
Comment 6 Kevin Fenzi 2009-02-24 15:44:14 EST
cvs done.
Comment 7 Fedora Update System 2009-03-04 10:18:26 EST
php-ezc-Base-1.6.1-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/php-ezc-Base-1.6.1-2.fc9
Comment 8 Fedora Update System 2009-03-04 10:18:32 EST
php-ezc-Base-1.6.1-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/php-ezc-Base-1.6.1-2.fc10
Comment 9 Fedora Update System 2009-03-05 11:31:33 EST
php-ezc-Base-1.6.1-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update php-ezc-Base'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-2400
Comment 10 Fedora Update System 2009-03-05 11:34:16 EST
php-ezc-Base-1.6.1-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-ezc-Base'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-2408
Comment 11 Fedora Update System 2009-03-16 15:36:51 EDT
php-ezc-Base-1.6.1-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2009-03-16 15:47:41 EDT
php-ezc-Base-1.6.1-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Guillaume Kulakowski 2010-08-29 04:55:54 EDT
Package Change Request
======================
Package Name: php-ezc-Base
New Branches: EL-6
Owners: llaumgui
Comment 14 Kevin Fenzi 2010-08-29 14:45:53 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.